Bug 15352 - changing display style on Text does not redraw enough
Summary: changing display style on Text does not redraw enough
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.croczilla.com/svg/samples/...
Keywords: HasReduction
Depends on:
Blocks:
 
Reported: 2007-10-02 23:48 PDT by Eric Seidel (no email)
Modified: 2010-06-17 01:29 PDT (History)
1 user (show)

See Also:


Attachments
test case (873 bytes, image/svg+xml)
2007-10-11 11:07 PDT, Eric Seidel (no email)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-10-02 23:48:36 PDT
Space invaders has minor redraw issues

Otherwise the game plays great on feature-branch!
Comment 1 Eric Seidel (no email) 2007-10-06 00:50:36 PDT
The current patch on bug 15388 makes these issues slightly worse, i'm afraid.
Comment 2 Eric Seidel (no email) 2007-10-11 11:06:40 PDT
I've reduced the issue, attaching test case.
Comment 3 Eric Seidel (no email) 2007-10-11 11:07:07 PDT
Created attachment 16632 [details]
test case
Comment 4 Eric Seidel (no email) 2007-12-15 04:09:28 PST
What's strange is that CG shows us updating the whole region in question, yet it seems to draw incorrectly.  This is the only remaining bug I'm aware of in space invaders.
Comment 5 Nikolas Zimmermann 2010-06-17 01:29:58 PDT
Fixed since a long time in trunk, even has a testcae ;-) Closing.